Description

after clicking "start all" I usually want to switch tabs to see the progress in each tab, and today I could reproduce several times a
flicker effect which completely blocks vdemo when switching tab until I move the window or resize it then the flickering stops and
starting sequence continues

switching to another tab was never immediate (because the starting process is busy, but at some point it switched and I am fine with
that behavior, but the flickering is bad.

see attached video

History
#1 - 11/23/2017 10:09 AM - L. Schillingmann

I cannot reproduce this. Try to comment out the grid forget in proc resize {path {autowidth 0} }. Does it have an impact? In general, I will need to look
at your configuration / setup, to see why this happens.

#2 - 11/23/2017 11:35 AM - G. Walck

I used 
/vol/famula/nightly/bin/vdemo_sfb.sh
and one does not even need to start, the switching tab is sufficient especially the flobi tab. It has 11 components and they do not fit the default size of
the vdemo because only 10.5 components are visible with the new font size.
this demo asks for a password to ssh to localhost

The flicker does not happen every time, but sometimes, and I always manage to get it once at least if madly clicking from one tab to another. today I
switched 5 times for one trial and a second run I needed only 3. 
I noticed that at tab switching, the windows resizes completely, vertical and horizontal depending on tab content (sometimes long title triggers a resize,
or sometimes too many components also trigger a resize. The flicker happens at that time, but not all the time.

But once the window size is okay, it does not flicker anymore. It is sort of a local minima of the optimization of the window size

if I disable the grid forget I cannot reproduce it (although the windows still adjusts to content) especially if I disable only the vertical one 

 # Vertical scrolling.
        if { [winfo reqheight $content] > [winfo height $canvas] } {
            grid $path.scrolly  -row 0 -column 1 -sticky ns
        } else {
            #grid forget $path.scrolly
        }
#3 - 11/24/2017 10:19 PM - L. Schillingmann

Hmm, the window should adjust to the content only once at startup and only for the width if no GEOMETRY environment variable is set.
Anyway try the current master again. I fixed the vertical component widget size now at another point.
What window manager are you using?

#4 - 11/27/2017 01:17 PM - G. Walck

Looks good to me now, no resizing anymore, but now horizontal scrollbars appear which is fine too

I am using XFCE.

#5 - 11/27/2017 01:39 PM - L. Schillingmann

Ok, then this needs a bit more testing with XFCE. I need to check whats the difference in window events here.

#6 - 11/29/2017 11:18 AM - L. Schillingmann
- Status changed from New to Resolved

Files
vdemo_render_oscillates.ogv 1.02 MB 11/22/2017 G. Walck
